Subject: [cuss] WGLC for draft-ietf-cuss-sip-uui-reqs-02 - Christer's comments

From: Christer Holmberg <[email-masked]>
Date: Fri, 10 Jun 2011 09:48:53 +0200

Hi,

I have some editorial comments (see below), but in general I think the document is in good shape and ready for publication.

Regards,

Christer

Abstract:
-------------

Q_A_1: The first sentence is a little confusing, when it talks about introducing and developing. I would suggest re-writing it to:

        "This document defines requirements for a new mechanism, for support of transporting call control related User to User Information (UUI) using the Session Initiation Protocol (SIP)."

Q_A_2: The second, third and fourth sentences are a little confusing, when it talks about non-SIP application and examples in another protocol. I would suggest re-writing it to:

        "A SIP session can be associated with an application, that needs to be able to transport application specific information between SIP entities during the session establishment.
        This is similar to the ISDN User to User Information Service."

Q_A_3: The text says that the document discusses requirements and approaches. However, I think the published version will define use-cases are requirements. I would suggest re-writing to:

        "This document defines use-cases and requirements in order to achieve this."

Section 1:
--------------

Q_1_1: I think it is enough to say "...in both the originator and terminator of the session."

Q_1_2: Change "SIP should not interpret, understand..." to "SIP MUST NOT be required to interpret, understand...".

Q_1_3: Regarding sending of information not considered to be UUI, I think it would be good to add text saying: "Transport of such information is outside the scope of this document.".

Q_1_4: Replace the reference to RFC 2976 with RFC 6086.

Section 3 (including sub sections):
--------------------------------------------------

Q_3_1: The examples talk about "originator UA" and "terminating UA". Please use "originating UA".

Q_3_2: Please use "INVITE request" instead of only "INVITE".

Section 4:
--------------

Q_4_1: Please re-write to: "This section defines the requirements...".

Q_4_2: Please change "The mechanism will support..." to "The mechanism MUST support".

Q_4_3: REQ-1 talks about "SIP call setup requests and responses." However, I don't think REFER counts as a call setup request, so I would suggest to re-write it to:

        "...and receive UUI data in initial SIP requests and responses for a dialog."

Q_4_4: Regarding REQ-7, about interworking, the text is a little unclear. Is the intention that the solution is going to specify the interworking? If so, should the requirement say that the mechanism must define the interworking?

Q_4_5: Regarding REQ-8, I would suggest to re-write to: "The mechanism MUST define a way for SIP UAs to inform each other about the support of the mechanism."

...or something like that :)

Section 6:
--------------

Q_6_1:  Change "this specification" to "this document", in order to be consistant with the rest of the document.